Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Disconnect Switch - RG354248

Description

This block implements a disconnect switch function; it provides a single output.

The Select input selects between the enabled mode where the Output follows the Input and the disabled mode where no Output is generated.

A new Output is generated only when Select is enabled and the Input receives a message.

This function block provides the ability to break a trigger chain.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Select	Select input.  Expects either Disable (false) or Enable (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Select	Returns the current state of the Select input.  Either Disabled or Enabled.


Description

This block implements a disconnect switch function; it provides a single output.

The Select input selects between the enabled mode where the Output follows the Input and the disabled mode where no Output is generated.

A new Output is generated only when Select is enabled and the Input receives a message.

This function block provides the ability to break a trigger chain.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Select	Select input.  Expects either Disable (false) or Enable (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Select	Returns the current state of the Select input.  Either Disabled or Enabled.